summaryrefslogtreecommitdiffstats
path: root/source/a/rpm2tgz/rpm2tgz.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/a/rpm2tgz/rpm2tgz.SlackBuild
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/a/rpm2tgz/rpm2tgz.SlackBuild')
-rwxr-xr-xsource/a/rpm2tgz/rpm2tgz.SlackBuild37
1 files changed, 32 insertions, 5 deletions
diff --git a/source/a/rpm2tgz/rpm2tgz.SlackBuild b/source/a/rpm2tgz/rpm2tgz.SlackBuild
index abfe3298a..c6d766093 100755
--- a/source/a/rpm2tgz/rpm2tgz.SlackBuild
+++ b/source/a/rpm2tgz/rpm2tgz.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,13 +20,22 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.1
-ARCH=${ARCH:-x86_64}
+VERSION=1.2.1
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-bin
+PKG=$TMP/package-rpm2tgz
rm -rf $PKG
mkdir -p $TMP $PKG
@@ -38,8 +47,26 @@ cd $TMP
mkdir -p $PKG/usr/bin
cc -o $PKG/usr/bin/rpmoffset $CWD/rpmoffset.c
cat $CWD/rpm2targz > $PKG/usr/bin/rpm2targz
-chmod 755 $PKG/usr/bin/{rpmoffset,rpm2targz}
+
+# Apply some patches:
+( cd $PKG/usr/bin
+ # These are all against "rpm2tgz", so mv it until we are done patching:
+ mv rpm2targz rpm2tgz
+ zcat $CWD/patches/0001-fix-d-handling.patch.gz | patch -p1 || exit 1
+ zcat $CWD/patches/0002-fix-spurious-path-to-rpm-file-with-n-option.patch.gz | patch -p1 || exit 1
+ zcat $CWD/patches/0003-allow-every-user-to-use-rpm2tgz.patch.gz | patch -p1 || exit 1
+ zcat $CWD/patches/0004-produce-more-compliant-slack-desc.patch.gz | patch -p1 || exit 1
+ # Not applied. Rationale: We do not want to alter the files in the RPM.
+ #zcat $CWD/patches/0005-gzip-man-info-pages.patch.gz | patch -p1 || exit 1
+ # Not applied. Rationale: .tgz works with all versions of Slackware.
+ # Translated RPMs may be targeting systems with no .txz support.
+ #zcat $CWD/patches/0006-should-we-use-.txz-format-in-slackware-current.patch.gz | patch -p1 || exit 1
+ # mv the script back:
+ mv rpm2tgz rpm2targz
+) || exit 1
+
( cd $PKG/usr/bin ; ln -sf rpm2targz rpm2tgz )
+chmod 755 $PKG/usr/bin/{rpmoffset,rpm2targz}
mkdir -p $PKG/usr/doc/rpm2targz
cp -a $CWD/rpm2targz.README $PKG/usr/doc/rpm2targz/rpm2targz.README
chown root:root $PKG/usr/doc/rpm2targz/rpm2targz.README